<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="multiplicarTorrePanelGrid"
             width="100%" cellpadding="10">

    <p:messages id="msgMultiplicarTorre" showDetail="false" globalOnly="false" />

    <h:panelGrid rendered="#{!fichaMatriz.tramite.englobeVirtual}">
        <p:panel>
            <h:panelGrid columns="2">
                <h:outputLabel value="Total pisos torre:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{fichaMatriz.fichaMatrizTorreSeleccionada.pisos}" />

                <h:outputLabel value="Total unidades privadas:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{fichaMatriz.fichaMatrizTorreSeleccionada.unidades}" />

                <h:outputLabel value="Total sótanos:" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{fichaMatriz.fichaMatrizTorreSeleccionada.sotanos}" />

                <h:outputLabel value="Total unidades sótano:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{fichaMatriz.fichaMatrizTorreSeleccionada.unidadesSotanos}" />
            </h:panelGrid>
        </p:panel>

        <h:panelGrid columns="2">
            <h:outputLabel value="Cantidad torres a multiplicar:"
                           styleClass="outputLabelStyle" />
            <h:panelGrid columns="2">
                <h:inputText value="#{fichaMatriz.numeroTorresMultiplicar}"
                             id="numeroTorresMultiplicar" label="Cantidad torres a multiplicar" />
                <p:message for="numeroTorresMultiplicar" display="icon"
                           id="numeroTorresMultiplicarMsg" />
            </h:panelGrid>
        </h:panelGrid>

        <p:outputPanel layout="block" style="text-align:right">
            <p:commandButton action="#{fichaMatriz.multiplicarTorre}"
                             oncomplete="handleCompleteSIC(xhr, status, args, multiplicarTorreWV, false)"
                             value="Multiplicar"
                             update=":tabView1:gestionarFichaMatrizForm:generalidadesPropiedadHorizontalPanelGrid, multiplicarTorrePanelGrid,
                             :tabView1:gestionarFichaMatrizForm:generalidadesMixtoPanelGrid"
                             icon="ui-icon-arrow-4-diag" />
        </p:outputPanel>
    </h:panelGrid>

    <h:panelGrid rendered="#{fichaMatriz.tramite.englobeVirtual}">
        <p:panel>
            <h:panelGrid columns="2">

                <h:outputLabel value="N° de Ficha matriz:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    rendered="#{fichaMatriz.fichaMatrizTorreSeleccionada.provieneTorre != null}"
                    value="#{fichaMatriz.fichaMatrizOriginalTorreSeleccionada.predio.numeroPredial}" />
                <h:outputText
                    rendered="#{fichaMatriz.fichaMatrizTorreSeleccionada.provieneTorre == null}"
                    value=" " />

                <h:outputLabel value="N° torre:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{fichaMatriz.fichaMatrizTorreSeleccionada.torre}" />

                <h:outputLabel value="Total pisos torre:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{fichaMatriz.fichaMatrizTorreSeleccionada.pisos}" />

                <h:outputLabel value="Total unidades:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{fichaMatriz.fichaMatrizTorreSeleccionada.unidades}" />

                <h:outputLabel value="Total sótanos:" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{fichaMatriz.fichaMatrizTorreSeleccionada.sotanos}" />

                <h:outputLabel value="Total unidades sótano:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{fichaMatriz.fichaMatrizTorreSeleccionada.unidadesSotanos}" />
            </h:panelGrid>
        </p:panel>

        <h:panelGrid columns="2">

            <h:outputLabel value="N° Torre inicial:"
                           styleClass="outputLabelStyle" />
            <h:inputText
                value="#{fichaMatriz.numeroTorreInicial}" />

            <h:outputLabel value="Cantidad torres a multiplicar:"
                           styleClass="outputLabelStyle" />
            <h:panelGrid columns="2">
                <h:inputText value="#{fichaMatriz.numeroTorresMultiplicar}"
                             id="numeroTorresMultiplicarEV" label="Cantidad torres a multiplicar" />
                <p:message for="numeroTorresMultiplicar" display="icon"
                           id="numeroTorresMultiplicarMsgEV" />
            </h:panelGrid>
        </h:panelGrid>

        <p:outputPanel layout="block" style="text-align:right">
            <p:commandButton action="#{fichaMatriz.multiplicarTorre}"
                             oncomplete="handleCompleteSIC(xhr, status, args, multiplicarTorreWV, false)"
                             value="Aceptar"
                             update=":tabView1:gestionarFichaMatrizForm:generalidadesPropiedadHorizontalPanelGrid, multiplicarTorrePanelGrid,
                             :tabView1:gestionarFichaMatrizForm:generalidadesMixtoPanelGrid"
                             icon="ui-icon-arrow-4-diag" />
        </p:outputPanel>
    </h:panelGrid> 
</h:panelGrid>